> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulseshiga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an onramp order



## OpenAPI

````yaml /api-reference/openapi.json post /v1/onramp/orders
openapi: 3.0.0
info:
  description: Pulse Orchestration API
  title: Pulse API
  contact: {}
  version: '1.0'
servers:
  - url: https://engine-api.shiga.io
    description: Production
  - url: https://engine-api.pilot.pulseshiga.io
    description: Pilot
security: []
paths:
  /v1/onramp/orders:
    post:
      tags:
        - Onramp
      summary: Create an onramp order
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/onramp.CreateOrderDTO'
        description: Create order request
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/onramp.OrderResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    onramp.CreateOrderDTO:
      type: object
      required:
        - customer_email
        - customer_id
        - customer_name
        - destination_address
        - quote_id
      properties:
        customer_email:
          type: string
        customer_id:
          type: string
        customer_name:
          type: string
        destination_address:
          type: string
        destination_tag:
          type: string
        quote_id:
          type: string
    onramp.OrderResponse:
      type: object
      properties:
        account:
          $ref: '#/components/schemas/onramp.Account'
        created_at:
          type: string
        customer_id:
          type: string
        destination_address:
          type: string
        destination_amount:
          type: string
          example: '100.50'
        destination_currency:
          type: string
        execution_mode:
          type: string
        flow_type:
          type: string
        id:
          type: string
        metadata:
          type: object
        quoted_rate:
          type: string
          example: '1.25'
        reference:
          type: string
        source_amount:
          type: string
          example: '100.50'
        source_currency:
          type: string
        status:
          type: string
        updated_at:
          type: string
    common.ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
    onramp.Account:
      type: object
      properties:
        account_name:
          type: string
        account_number:
          type: string
        amount:
          type: string
          example: '100.50'
        bank_code:
          type: string
        bank_name:
          type: string
        created_at:
          type: string
        expires_at:
          type: string
        id:
          type: string
        provider:
          type: string
        provider_reference:
          type: string
        reference:
          type: string
        status:
          type: string
        type:
          type: string
        updated_at:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: API key authentication
      type: apiKey
      name: X-API-Key
      in: header

````